#pragma once

#include "kprintf.h"
#include <stdint.h>

#define PRINT_VAR(var) kprintf("%s: %d\n", #var, var)

struct function_entry {
	uint32_t addr;
	char name[64];
};

struct stackframe {
	struct stackframe *ebp;
	uint32_t eip;
};

void print_stack(void);
